if Rails::VERSION::MAJOR.to_i >= 3
  module OneApm
    class Railtie < Rails::Railtie

      initializer "oneapm_rpm.start_plugin" do |app|
        OneApm::Probe.init :config => app.config
      end

    end
  end
else
  config = nil
  config = Rails.configuration if Rails.respond_to?(:configuration)
  OneApm::Probe.init :config => config
end