# encoding: utf-8

module OneApm
  module Agent
    class Restart

      def initialize(events)
        events.subscribe(:agent_restart, &method(:restart))
      end

      def restart
        OneApm::Manager.logger.info "Restarting Agent..."
        OneApm::Manager.restart
        OneApm::Manager.logger.info "Restarted Agent done."
      end
    end
  end
end
