# encoding: utf-8

require 'one_apm/frameworks/rails3'

module OneApm
  class Probe
    module Frameworks
      class Rails4 < OneApm::Probe::Frameworks::Rails3

        def rails_gem_list
          Bundler.rubygems.all_specs.map {|gem| "#{gem.name} (#{gem.version})" }
        end

      end
    end
  end
end
