# encoding: utf-8

LibraryDetection.defer do
  named :event_machine_standalone

  depends_on do
    OneApm::Manager.config[:event_machine_standalone] && defined?(::EventMachine)
  end

  executes do
    OneApm::Manager.logger.info 'Installing EventMachine Standalone Mode instrumentation'

    module EventMachine

      PeriodicTimer.class_eval do
        include OneApm::Agent::Instrumentation::TransactionBase

        add_transaction_tracer "fire", :category => 'OtherTransaction/Background'
      end

    end

  end
end
