# encoding: utf-8

# This class is used by OneApm::Manager.set_sql_obfuscator to chain multiple
# obfuscation blocks when not using the default :replace action
class OneApm::ChainedCall
  def initialize(block1, block2)
    @block1 = block1
    @block2 = block2
  end

  def call(sql)
    sql = @block1.call(sql)
    @block2.call(sql)
  end
end
