# encoding: utf-8

require 'one_apm/transaction/sample_buffer/transaction_sample_buffer'

module OneApm
  class Transaction
    class ForcePersistSampleBuffer < TransactionSampleBuffer

      OA_CAPACITY = 10

      def capacity
        OA_CAPACITY
      end

      def allow_sample?(sample)
        sample.force_persist
      end

    end
  end
end
