# encoding: utf-8

module OneApm
  class Transaction

    def cpu_burn
      normal_cpu_burn || jruby_cpu_burn
    end

    def normal_cpu_burn
      return unless @process_cpu_start
      process_cpu - @process_cpu_start
    end

    def process_cpu
      return nil if defined? JRuby
      p = Process.times
      p.stime + p.utime
    end

  end
end
