# encoding: utf-8

module OneApm
  class Probe
    module Frameworks
      class Ruby < OneApm::Probe

        def env
          @env ||= ENV['ONEAPM_ENV'] ||
                   ENV['RUBY_ENV']   ||
                   ENV['RAILS_ENV']  ||
                   ENV['RACK_ENV']   ||
                   'development'
        end

        def root
          @root ||= ENV['APP_ROOT'] || '.'
        end

        def init_config(options={})
        end

      end
    end
  end
end
