$(document).ready( function(){
            
    $(".list_menu a").on( "mouseover", function(){
        var li = $(this);
        var uri = li.data('uri');
        var duration = li.data('duration');
        var memory   = li.data('memory');
        var message  = "Path: " + uri + "<br/> Duration: " + duration + " ms<br/> Memory Used: " + memory + " MB";

        var green    = "#78BA32"
        var orange   = "#F0AD4E"
        var red      = "#E9573F"
        var color    = green;
        if(duration > '300' && duration <= '500'){
            color = orange;
        }else if(duration > '500'){
            color = red;
        }
        layer.tips(message, li, {tips: [2, color], shift: 1, time: 6000});

        $("#slide_left").css({opacity: 0.9})
    });

    $(".list_menu a").on("mouseout", function(){
        $("#slide_left").css({opacity: 0.6})
    });

    $("#slide_left a").on( "click", function(){
        var a = $(this);
        var sample_id = a.data('sample_id');
        var guid = a.data('guid');
        var iframe = layer.open({
        type: 2,
        title: '性能数据详情',
        shadeClose: true,
        shade: 0.6,
        area: ['90%', '90%'],
        maxmin: true,
        content: '/oneapm/show_sample_summary?id=' + sample_id +'&guid=' + guid //iframe的url
    });
        return false;
    });

});