# encoding: utf-8
module OneApm
  module Rack
    module MiddlewareHelper

      def gather_source(response)
        source = nil
        response.each {|fragment| source ? (source << fragment.to_s) : (source = fragment.to_s)}
        source
      end

      def close_old_response(response)
        response.close if response.respond_to?(:close)
      end

      def middleware_ignore?
        OneApm::Manager.config[:disable_rails_middleware]
      end
    end
  end
end
