# encoding: utf-8

require 'one_apm/rack/middleware_base'

module OneApm
  module Rack
    class MiddlewareHooks < MiddlewareBase

      def self.needed?
        !OneApm::Manager.config[:disable_rack_middleware]
      end

      def traced_call(env)
        @app.call(env)
      end

    end
  end
end
