# encoding: utf-8

require 'one_apm/transaction/sample_buffer/transaction_sample_buffer'

module OneApm
  class Transaction
    class SlowestSampleBuffer < TransactionSampleBuffer

      OA_CAPACITY = 1

      def capacity
        OA_CAPACITY
      end

      def allow_sample?(sample)
        sample.threshold && sample.duration >= sample.threshold
      end

    end
  end
end
