# encoding: utf-8

require 'one_apm/transaction/sample_buffer/transaction_sample_buffer'

module OneApm
  class Transaction
    class SyntheticsSampleBuffer < TransactionSampleBuffer
      def capacity
        OneApm::Manager.config[:'synthetics.traces_limit']
      end

      def allow_sample?(sample)
        sample.synthetics_resource_id != nil
      end

      def truncate_samples
        @samples.slice!(max_capacity..-1)
      end
    end
  end
end
