# encoding: utf-8

module OneApm
  class Transaction

    def apdex_bucket(duration)
      Transaction.apdex_bucket(duration, had_error?, apdex_t)
    end

    def apdex_t
      transaction_specific_apdex_t || OneApm::Manager.config[:apdex_t]
    end

    def transaction_specific_apdex_t
      key = :web_transactions_apdex
      OneApm::Manager.config[key] && OneApm::Manager.config[key][best_name]
    end

  end
end
